const sdk = {
	l10n: require("sdk/l10n"),
	ui:   require("sdk/ui"),
	
	system: {
		unload: require("sdk/system/unload")
	}
};

const tools = {
	ui: {
		button: {
			highlight: require("../tools/ui/button/highlight")
		}
	}
};

const m = {
	ui: {
		manager: require("../ui/manager")
	}
};

const _ = sdk.l10n.get;



function Handler()
{
	sdk.system.unload.when(this.uninit.bind(this));
}
Handler.prototype = {
	init: function()
	{
		if(typeof(this.button) !== "object") {
			this.button = sdk.ui.ActionButton({
				id:    "manage-search-engines",
				label: _("Manage search engines"),
				icon: {
					"16": "./icon-16.png",
					"32": "./icon-32.png",
					"64": "./icon-64.png"
				},
	
				onClick: function(state)
				{
					// Open search engine manager
					m.ui.manager.open();
				}.bind(this)
			});
		}
	},
	
	setHighlight: function(window, highlighted)
	{
		// Apply highlighting
		if(highlighted) {
			tools.ui.button.highlight.enable(this.button, [window]);
		} else {
			tools.ui.button.highlight.disable(this.button, [window]);
		}
	},
	
	uninit: function()
	{
		if(typeof(this.button) === "object") {
			this.button.destroy();
			
			delete this.button;
		}
	}
};

module.exports = {
	Handler: Handler
};
