const sdk = {
	l10n:   require("sdk/l10n"),
	self:   require("sdk/self"),
	widget: require("sdk/widget"),
	
	system: {
		unload: require("sdk/system/unload")
	}
};

const m = {
	ui: {
		manager: require("../ui/manager")
	}
};

const _ = sdk.l10n.get;



function Handler()
{
	sdk.system.unload.when(this.uninit.bind(this));
}
Handler.prototype = {
	init: function()
	{
		if(typeof(this.button) !== "object") {
			this.button = sdk.widget.Widget({
				id:    "manage-search-engines",
				label: _("Manage search engines"),
				
				contentURL: sdk.self.data.url("icon-64.png"),
				
				onClick: function(state)
				{
					// Open search engine manager
					m.ui.manager.open();
				}.bind(this)
			});
		}
	},
	
	setHighlight: function(window, highlighted)
	{
		//XXX: Not implemented
	},
	
	uninit: function()
	{
		if(typeof(this.button) === "object") {
			this.button.destroy();
			
			delete this.button;
		}
	}
};

module.exports = {
	Handler: Handler
};
