/**
 * Highlight a toolbar button
 *
 * The way this is implemented seems to work on my machine, unless you drag it on to the menubar
 * (makes it look strange). Unfortunately proper integration for this feature on every platform
 * would probably require a GUI designer maintaining stylsheets for each toolbar configuration
 * on each supported platform...
 */
const sdk = {
	windows: require("sdk/windows")
};

const tools = {
	view: {
		button: require("../../view/button")
	}
};



const BUTTON_STYLE = "background-image: -moz-radial-gradient(center 45deg, Highlight 15%, rgba(255,255,255,0) 100%)";



module.exports = {
	enable: function(button_model, window_models=sdk.windows.browserWindows)
	{
		for(var window_model of window_models) {
			// Get XUL button image for this window model
			var button_image = tools.view.button.viewFor(button_model, window_model, true);
			
			// Add style
			button_image.setAttribute("style", BUTTON_STYLE);
		}
	},
	
	disable: function(button_model, window_models=sdk.windows.browserWindows)
	{
		for(var window_model of window_models) {
			// Get XUL button image for this window model
			var button_image = tools.view.button.viewFor(button_model, window_model, true);
			
			// Add style
			button_image.setAttribute("style", "");
		}
	},
};
