const sdk = {
	window: {
		utils: require('sdk/window/utils')
	}
};


module.exports = {
	open: function()
	{
		// Enumerate currently opened windows
		let windows = sdk.window.utils.windows();
	
		let searchManager;
		windows.forEach(function(window)
		{
			if(window.document && window.document.documentElement) {
				if(window.document.documentElement.getAttribute("windowtype") == "Browser:SearchManager") {
					searchManager = window;
				}
			}
		});
	
		// Select search manager window if it is already open
		if(searchManager) {
			searchManager.focus();
	
		// Open new search manager if there isn't one open already
		} else {
			sdk.window.utils.openDialog({
				url:  "chrome://browser/content/search/engineManager.xul",
				name: "_blank",
				
				features: "chrome,dialog,modal,centerscreen"
			});
		}
	}
};
